Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040837
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-05-10 13:072019-12-12 23:01
ReporteralostaleView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionca5c0fdc50d8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040837: improve javadoc of generated entities: db column for properties

DescriptionJavaDoc generated for DAL entities classes can be improved. Now at class level it shows something like:

Entity class for entity Order (stored in table C_Order)

It would be useful to do something similar at property level, in the getter/setter methods
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0040836 closedcberner generate deprecated DAL java entities 

-  Notes
(0115103)
hgbot (developer)
2019-10-16 11:12

Repository: erp/devel/pi
Changeset: ca5c0fdc50d84f128f31c592843b7ff79fde19d6
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Sep 26 15:19:22 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ca5c0fdc50d84f128f31c592843b7ff79fde19d6 [^]

fixes issue 40837: Improved javadoc for entity properties, added db column name

Javadoc has been improved in generated entities.
Column name is shown in an informative note on properties.
Links have been set as @see tags for getters/setters to properties and some properties to corresponding interfaces.

---
M src/org/openbravo/base/gen/entity.ftl
M src/org/openbravo/base/structure/ActiveEnabled.java
M src/org/openbravo/base/structure/ClientEnabled.java
M src/org/openbravo/base/structure/OrganizationEnabled.java
M src/org/openbravo/base/structure/Traceable.java
---
(0115121)
AugustoMauch (developer)
2019-10-16 16:13

Code reviewed and verified
(0116248)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-10 13:07 alostale New Issue
2019-05-10 13:07 alostale Assigned To => platform
2019-05-10 13:07 alostale Modules => Core
2019-05-10 13:07 alostale Triggers an Emergency Pack => No
2019-05-10 13:08 alostale Relationship added related to 0040836
2019-08-12 10:06 cberner Description Updated View Revisions
2019-08-12 10:37 AugustoMauch Issue cloned 0041629
2019-08-12 10:39 AugustoMauch Summary improve javadoc of generated entities => improve javadoc of generated entities: db column for properties
2019-08-12 10:39 AugustoMauch Description Updated View Revisions
2019-08-12 10:39 AugustoMauch Assigned To platform => cberner
2019-08-12 11:59 cberner Status new => scheduled
2019-08-12 14:21 cberner Review Assigned To => AugustoMauch
2019-10-16 11:12 hgbot Checkin
2019-10-16 11:12 hgbot Note Added: 0115103
2019-10-16 11:12 hgbot Status scheduled => resolved
2019-10-16 11:12 hgbot Resolution open => fixed
2019-10-16 11:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ca5c0fdc50d84f128f31c592843b7ff79fde19d6 [^]
2019-10-16 16:13 AugustoMauch Note Added: 0115121
2019-10-16 16:13 AugustoMauch Status resolved => closed
2019-10-16 16:13 AugustoMauch Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116248


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker